package com.caringo.client.request;

import org.apache.commons.httpclient.HttpMethod;

import com.caringo.client.ScspHeaders;

/**
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author pray
 * @created Jan 1, 2010
 * @id $Id: CopyMethodFactory.java 52121 2012-08-28 17:31:56Z jafshar $
 */
final class CopyMethodFactory extends MethodFactory {
    
    CopyMethodFactory(ScspHeaders headers) {
        super(headers);
    }
    
    /**
     * return a new COPY method
     */
    @Override
    protected HttpMethod getMyMethod() {
        return new CopyMethod();
    }
}
