package com.caringo.enumerator;

/**
 * Exception class for the Object Enumerator
 * 
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved
 * Caringo Confidential and Proprietary
 * 
 * @author jcasey
 * @created January 20, 2010
 */
public class ObjectEnumeratorException extends Exception {
	
	private static final long serialVersionUID = 1630542998173871965L;
	private String message;
	
	public ObjectEnumeratorException(String message){
		
		this.message = message;
	}
	
	/**
	 * 
	 * @return message
	 */
	@Override
	public String getMessage(){
		
		return this.message;
	}
}
