package com.caringo.client.request;

import org.apache.commons.httpclient.HttpMethod;
import org.apache.commons.httpclient.methods.HeadMethod;

import com.caringo.client.ScspHeaders;


/**
 * This class needs a real description.
 * <br>
 * Copyright (c) 2008 by Caringo, Inc. -- All rights reserved<br>
 * This is free software, distributed under the terms of the New BSD license.<br>
 * See the LICENSE.txt file included in this archive.<br>
 * <br>
 * 
 * @author jmike
 * @created Jan 20, 2008
 * @id $Id: HeadMethodFactory.java 52121 2012-08-28 17:31:56Z jafshar $
 */
final class HeadMethodFactory extends MethodFactory {
    HeadMethodFactory(ScspHeaders headers) {
        super(headers);
    }

    /**
     * return a new HEAD method
     */
    @Override
    protected HttpMethod getMyMethod() {
        return new HeadMethod();
    }
}
