package com.caringo.enumerator;

/**
 * Enum class for the actions performed by an Object Enumerator
 * 
 * Copyright (c) 2010 by Caringo, Inc. -- All rights reserved
 * Caringo Confidential and Proprietary
 * 
 * @author jcasey
 * @created January 10, 2010
 */
public enum EnumeratorAction {
	
	ENUM_ACTION_START("start"),
	ENUM_ACTION_NEXT("next"),
	ENUM_ACTION_END("end");
	
	private final String name;
		
	EnumeratorAction( String name) {
		
		this.name = name;
	}
	
	/**
	 * 
	 * @return name
	 */
	public String getName(){
		
		return this.name;
	}

}
